%undefine __cmake_in_source_build
%global framework kcodecs

Summary:        KDE Frameworks 5 Tier 1 addon with string manipulation methods
Name:           kf5-%{framework}
Version: 5.110.0
Release: 1%{?dist}

License:        GPLv2+ and LGPLv2+ and BSD
URL:            https://invent.kde.org/frameworks/%{framework}

%global majmin %majmin_ver_kf5
%global stable %stable_kf5
Source0:        http://download.kde.org/%{stable}/frameworks/%{majmin}/%{framework}-%{version}.tar.xz

BuildRequires:  gperf, extra-cmake-modules >= %{majmin}, kf5-rpm-macros >= %{majmin}
BuildRequires:  qt5-qtbase-devel, qt5-qttools-devel

Requires:       kf5-filesystem >= %{majmin}

%description
KDE Frameworks 5 Tier 1 addon with string manipulation methods.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       qt5-qtbase-devel
%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -n %{framework}-%{version}


%build
%{cmake_kf5}

%cmake_build


%install
%cmake_install

%find_lang_kf5 kcodecs5_qt

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f kcodecs5_qt.lang
%license LICENSES/*.txt
%doc README.md
%{_kf5_libdir}/libKF5Codecs.so.*
%{_kf5_datadir}/qlogging-categories5/*categories

%files devel

%{_kf5_includedir}/KCodecs/
%{_kf5_libdir}/libKF5Codecs.so
%{_kf5_libdir}/cmake/KF5Codecs/
%{_kf5_archdatadir}/mkspecs/modules/qt_KCodecs.pri


%changelog
* Sat Nov 18 2023 Chair <chairou@tencent.com> - 5.110.0-1
- Init
